Bug 765397 - (GLUSTER-3665) Remove brick start operation won't comes back immediately to command line
Remove brick start operation won't comes back immediately to command line
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: shishir gowda
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 05:46 EDT by shylesh
Modified: 2013-12-08 20:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 02:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-09-29 05:46:56 EDT
1. gluster volume remove-brick $volume $brick start

This command will not returns until the brick is removed, so could not execute status, abort, pause commands
Comment 1 Amar Tumballi 2011-10-02 00:29:33 EDT
Shylesh, can you check again with latest qa release of 3.3.0 ?

This is the behavior for me :


root@supernova:~# gluster volume info
 
Volume Name: d
Type: Distribute
Status: Started
Number of Bricks: 4
Transport-type: tcp
Bricks:
Brick1: supernova:/tmp/export/s001
Brick2: supernova:/tmp/export/s000
Brick3: supernova:/tmp/export/s002
Brick4: supernova:/tmp/export/s006
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 start
Remove Brick successful
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 status
remove-brick in progress
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 status
remove-brick in progress: decommissioned 130 files of size 8195057
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 status
remove-brick in progress: decommissioned 246 files of size 11026355
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 status
remove-brick in progress: decommissioned 356 files of size 13397400
root@supernova:~# gluster volume remove-brick d supernova:/tmp/export/s002 status
remove-brick completed: decommissioned 418 files of size 62072051

root@supernova:~# gluster volume info
 
Volume Name: d
Type: Distribute
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: supernova:/tmp/export/s001
Brick2: supernova:/tmp/export/s000
Brick3: supernova:/tmp/export/s006

---
Please re-open if the issue persists.
Comment 2 shylesh 2011-12-26 02:44:07 EST
This issue is also reproducible on latest build 3.3.0qa18. remove-brick start command says "remove-brick successful" which is supposed to be "remove-brick started successfully", hence reopening the bug.
Comment 3 shishir gowda 2012-04-18 02:06:35 EDT
This bug has been fixed in mainline.
Please check in release 3.3.beta2

Note You need to log in before you can comment on or make changes to this bug.